[PC-BSD Testing] trying to make a PBI in -current

Julian Elischer julian at freebsd.org
Tue May 7 19:16:28 PDT 2013


On 5/7/13 11:46 AM, Kris Moore wrote:
> On 05/07/2013 14:21, Julian Elischer wrote:
>> I know it's not realy PCBSD testing related, but...
>> is pbi building broken in -current?
>>
>> I was trying to make a subversion pbi in -current..
>> it ended badly with:
>> -----------
>>
>> /usr/pbi/subversion-amd64/man/man8/pkg-remove.8.gz ->
>> /usr/pbi/subversion-amd64/man/man8/pkg-delete.8.gz^M
>> /usr/pbi/subversion-amd64/man/man8/pkg-static.8.gz ->
>> /usr/pbi/subversion-amd64/man/man8/pkg.8.gz^M
>> ===> pkg-static (install)^M
>> install -s -o root -g wheel -m 555   pkg-static
>> /usr/pbi/subversion-amd64/sbin/pkg-static^M
>> If you are upgrading from the old package format, first run:^M
>> ^M
>>    # pkg2ng^M
>> ===>   Running ldconfig^M
>> /sbin/ldconfig -m /usr/pbi/subversion-amd64/lib^M
>> ===>   Registering installation for pkg-1.0.12^M
>> Installing pkg-1.0.12... done^M
>> ===>  Cleaning for pkg-1.0.12^M
>> Compiling port: /usr/ports/devel/autoconf-wrapper^M
>> ===> No user-specified options configured for autoconf-wrapper-20101119^M
>> ===>  Cleaning for autoconf-wrapper-20101119^M
>> ===>   autoconf-wrapper-20101119 depends on file:
>> /usr/pbi/subversion-amd64/sbin/pkg - found^M
>> ===> Fetching all distfiles required by autoconf-wrapper-20101119 for
>> building^M
>> ===>  Extracting for autoconf-wrapper-20101119^M
>> ===>  Patching for autoconf-wrapper-20101119^M
>> ===>  Configuring for autoconf-wrapper-20101119^M
>> ===>  Installing for autoconf-wrapper-20101119^M
>> ===>   Generating temporary packing list^M
>> ln: /usr/pbi/subversion-amd64/bin/autoconf: File exists^M
>> *** [do-install] Error code 1^M
>> ^M
>> Stop in /usr/ports/devel/autoconf-wrapper.^M
>> BUILDERROR1!!^M
>> ===>  Installing for autoconf-wrapper-20101119^M
>> ===>   Generating temporary packing list^M
>> ln: /usr/pbi/subversion-amd64/bin/autoconf: File exists^M
>> *** [do-install] Error code 1^M
>> ^M
>> Stop in /usr/ports/devel/autoconf-wrapper.^M
>> ===>  Cleaning for autoconf-wrapper-20101119^M
>> pbi_makeport_chroot: make install of devel/subversion failed!^M
>> Cleaning /usr/pbi/subversion-amd64^M
>> Cleaning /usr/pbi/subversion-amd64.chroot^M
>> *** [pbi-generate] Error code 255^M
>> ^M
>> Stop in /usr/ports/devel/subversion.^M
>>
>>
>>
>> to me it looks like it's broken somehow to do with the new package
>> stuff..
>> but I don't really know the pbi stuff..
>>
>>
>> Julian
>> _______________________________________________
>> Testing mailing list
>> Testing at lists.pcbsd.org
>> http://lists.pcbsd.org/mailman/listinfo/testing
>
>
> Looks like its failing to compile the port in chroot... What command did
> you use to create the PBI? Also can you compile subversion on -CURRENT
> normally right now?
>

yes I compiled it and installed it from ports  (did you knowit 
installs both perl AND python??)

making the pbi, (cd /usr/ports/devel/subversion; make pbi)
was just a "gee I wonder if the pbi will include both perl and 
python?" test.


..

> You can add the --mkdebug option to pbi_makeport, which will drop you in
> a chroot shell to investigate further.
>
> My guess something in ports in horked, but I could be wrong ;)
>



More information about the Testing mailing list